Bug 1268728 - System settings "unlock" button does not work
System settings "unlock" button does not work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
22
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 01:51 EDT by Nineth
Modified: 2016-07-19 14:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:55:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nineth 2015-10-05 01:51:06 EDT
Description of problem:

Hitting "unlock" from system settings does not give a dialog that asks for the password.

Version-Release number of selected component (if applicable):

polkit-gnome-0.105-7.fc22.x86_64
gnome-shell 3.16.3
gnome-session 3.16.0-1

How reproducible:
Always


Steps to Reproduce:
1.  Gnome -> System Settings -> <any setting that has an unlock button to enable admin functionality> -> Unlock


Actual results:
Nothing happens

Expected results:
Should have given a dialog asking for a passwd.


Additional info:

Doing a gnome-shell -r and looking at the output at the time the unlock is hit yields

polkit-agent-helper-1: wrong number of arguments. This incident has been logged
Comment 1 leigh scott 2015-10-10 06:16:06 EDT
gnome-shell doesn't use polkit-gnome
Comment 2 Fedora End Of Life 2016-07-19 14:55:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.